.section-documents {
    margin-top: 70px;
}

@media screen and (max-width: 576px) {
    .section-documents {
        margin-top: 40px;
    }
}

.documents .documents__images {
    width: 77%;
    padding-right: 70px;
}

.documents .documents__images:not(.swiper-initialized) .swiper-wrapper {
    display: grid;
    grid-gap: 15px;
    grid-template-columns: repeat(9, auto);
    grid-template-rows: repeat(6, 67px);
}

.documents .documents__images:not(.swiper-initialized) .swiper-wrapper {
    width: auto;
}


.documents .documents__images-item {
    border: 1px solid #f0f0f0;
    box-shadow: 0 31px 14px -27px #00000059;
    overflow: hidden;
    background: var(--f-button-bg);
    width: auto;
    height: auto;
    grid-column: span 2;
    grid-row: auto;
}

.documents .documents__images-item:nth-child(1) {
    height: 100%;
    grid-column: span 3;
    grid-row: span 6;
}

.documents .documents__images-item:nth-child(2) {
    grid-column: span 4;
    grid-row: span 3;
}

.documents .documents__images-item:nth-child(3) {
    grid-column: span 2;
    grid-row: span 2;
}

.documents .documents__images-item:nth-child(4) {
    grid-column: span 2;
    grid-row: span 4;
}

.documents .documents__images-item:nth-child(5) {
    grid-column: span 2;
    grid-row: span 3;
}

.documents .documents__images-item:nth-child(6) {
    grid-column: span 2;
    grid-row: span 3;
}

.documents .documents__images-item:nth-child(7) {
    grid-column: span 2;
    grid-row: span 2;
}

.documents .documents__images-item:nth-child(8) {
    grid-column: span 2;
    grid-row: span 2;
}

.documents .documents__images-item:nth-child(9) {
    grid-column: span 2;
    grid-row: span 2;
}


.documents .documents__images-item:nth-child(10) {
    grid-column: span 2;
    grid-row: span 2;
}

.documents .documents__images-item:nth-child(11) {
    grid-column: span 2;
    grid-row: span 2;
}

.documents .documents__images-item:nth-child(12) {
    grid-column: span 2;
    grid-row: span 2;
}


.documents__text {
    width: 23%;
    font-size: 16px;
}

.documents__text p {
    margin-bottom: 25px;
}

.documents .documents__images-item img {
    border-radius: 10px;
    overflow: hidden;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

@media (max-width: 767px) {
    .documents .documents__images-item img {
        object-fit: contain;
        max-height: 248px;
    }
}

@media (max-width: 1360px) {
    .documents .documents__images {
        width: 68%;
    }

    .documents__text {
        width: 32%;
    }

    .documents .documents__images:not(.swiper-initialized) .swiper-wrapper {
        grid-template-rows: repeat(6, 45px);
    }
}


@media (max-width: 1150px) {

    .documents .documents__images:not(.swiper-initialized) .swiper-wrapper {
        grid-template-rows: repeat(6, 30px);
    }
}

@media (max-width: 991px) {

    .documents {
        display: flex;
        flex-direction: column;
    }

    .documents .documents__images {
        width: 100%;
        padding-right: 0;
    }

    .documents__text {
        width: 100%;
    }

    .documents .documents__images {
        column-gap: 0;
        margin-bottom: 25px;
    }

    .documents .swiper-pagination {
        margin-top: 0;
    }

    .documents .documents__images-item {
        box-shadow: 0 24px 18px -24px #00000059;
        background: transparent;
        border: 0;
    }

    .documents .documents__images:not(.swiper-initialized) .swiper-wrapper {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .documents .documents__images:not(.swiper-initialized) .swiper-slide:nth-child(n+3) {
        display: none
    }

    .documents__text {
        font-size: 14px;
    }

    .documents__text p {
        margin-bottom: 15px;
    }
}


@media screen and (max-width: 767px) {

    .documents__text {
        font-size: 13px;
    }

    .documents .documents__images {
        gap: 30px 0;
    }
}
